zenilib: zenilib/jni/external/freetype2/src/gxvalid/gxvmort4.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
gxvmort4.c File Reference
`#include "gxvmort.h"`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_gxvmort

## Functions

static GXV_LookupValueDesc | gxv_mort_subtable_type4_lookupfmt4_transit (FT_UShort relative_gindex, GXV_LookupValueCPtr base_value_p, FT_Bytes lookuptbl_limit, GXV_Validator valid)
static void | gxv_mort_subtable_type4_lookupval_validate (FT_UShort glyph, GXV_LookupValueCPtr value_p, GXV_Validator valid)
| gxv_mort_subtable_type4_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)

## Macro Definition Documentation

#define FT_COMPONENT trace_gxvmort

Definition at line 38 of file gxvmort4.c.

## Function Documentation

static GXV_LookupValueDesc gxv_mort_subtable_type4_lookupfmt4_transit | ( | FT_UShort | relative_gindex,
|  | GXV_LookupValueCPtr | base_value_p,
|  | FT_Bytes | lookuptbl_limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 79 of file gxvmort4.c.

References FT_NEXT_USHORT, GXV_LIMIT_CHECK, GXV_ValidatorRec_::lookuptbl_head, sizeof(), and GXV_LookupValueDesc_::u.

Referenced by gxv_mort_subtable_type4_validate().

static void gxv_mort_subtable_type4_lookupval_validate | ( | FT_UShort | glyph,
|  | GXV_LookupValueCPtr | value_p,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 42 of file gxvmort4.c.

References FT_UNUSED, gxv_glyphid_validate(), and GXV_LookupValueDesc_::u.

Referenced by gxv_mort_subtable_type4_validate().

gxv_mort_subtable_type4_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

Definition at line 105 of file gxvmort4.c.

References GXV_EXIT, gxv_LookupTable_validate(), GXV_LOOKUPVALUE_UNSIGNED, gxv_mort_subtable_type4_lookupfmt4_transit(), gxv_mort_subtable_type4_lookupval_validate(), and GXV_NAME_ENTER.

Referenced by gxv_mort_subtables_validate(), and gxv_morx_subtable_type4_validate().